Bug 42953 - bonobo-1.0.2-1,1.0.4-1 fails to build from source
Summary: bonobo-1.0.2-1,1.0.4-1 fails to build from source
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: David Mason
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 23:21 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 07:33:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-30 23:21:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-5 i686)

Description of problem:
#> rpm --rebuild --target=i686 bonobo-1.0.4-1.src.rpm
...
../libtool: test: =: unary operator expected
../libtool: test: =: unary operator expected
gcc -shared  bonobo-storage-efs.lo bonobo-stream-efs.lo 
-L/usr/src/redhat/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs
/usr/src/redhat/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs/.libs/libefs.so 
-Wl,-soname -Wl,libstorage_efs.so -o .libs/libstorage_efs.so
gcc:
/usr/src/redhat/BUILD/bonobo-1.0.4/storage-modules/../libefs/src/.libs/.libs/libefs.so:
No such file or directory
make[2]: *** [libstorage_efs.la] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/bonobo-1.0.4/storage-modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/bonobo-1.0.4'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.10032 (%build)
user	6m6.530s



How reproducible:
Always

Steps to Reproduce:
1. recompile from source
2.
3.
	

Additional info:

libtool-1.4-2, autoconf-2.13-10, gettext-0.10.35-31, 
libtool-libs13-1.3.5-1

Comment 1 Need Real Name 2001-06-07 07:33:18 UTC
libtool>=1.4 is causing the problem. With libtool-1.3.5-8 installed
bonobo-1.0.4-1 compiles OK.

Comment 2 David Mason 2001-06-07 14:00:55 UTC
libtool-1.3.5-8 was default for last two releases

Comment 3 Need Real Name 2001-06-07 14:33:50 UTC
The bug report was filed against rawhide-20010524/0604, not RHL 7.x


Note You need to log in before you can comment on or make changes to this bug.